Minecraft-Server startet nicht

Minecraft-Server startet nicht

30.03.2020·Letzte Änderung: 21.06.2021 error, fehler, linuxgsm, minecraft

Sollte Dein Minecraft-Server nicht starten, schaue bitte in die Server-Logs, beispielsweise unter /logs/console/minecraft-console.log.

Sollte dort ein Fehler zu finden sein, versuche ihn zu verstehen und zu beheben. Solltest Du aus dem Fehler nicht schlau werden, kannst Du auch ein Problem-Report erstellen und dem Support zukommen lassen.

Alternativ kannst Du auch probieren, die Java-Version zu ändern.

UnsupportedClassVersionError

Error: LinkageError occurred while loading main class net.minecraft.server.Main java.lang.UnsupportedClassVersionError: net/minecraft/server/Main has been compiled by a more recent version of the Java Runtime (class file version 60.0), this version of the Java Runtime only recognizes class file versions up to 55.0

Die richtige Java-Version wurde nicht gewählt. Ändere die Java-Version auf /usr/lib/jdk-16.0.1/bin/java.

launcher.java.lang.reflect.InvocationTargetException

A problem occurred running the Server launcher.java.lang.reflect.InvocationTargetException at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.base/java.lang.reflect.Method.invoke(Method.java:566) at net.minecraftforge.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.java:70) at net.minecraftforge.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.java:34) Caused by: java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$AppClassLoader and java.net.URLClassLoader are in module java.base of loader ‚bootstrap‘) at net.minecraft.launchwrapper.Launch.<init>(Launch.java:34) at net.minecraft.launchwrapper.Launch.main(Launch.java:28) … 6 more

Wahrscheinlich verwendest Du eine etwas ältere Version von Minecraft. In diesem Fall benötigst Du auch eine etwas ältere Java-Version. Ändere die Java-Version auf /usr/lib/jre1.8.0_241/bin/java

Öffne ein Support-Ticket zu dieser Frage!

Deine Anfrage konnte nicht absesendet werden.

Du kannst auch gerne einen Nicknamen eingeben.
Wir versprechen Dir: Diese E-Mail Adresse nutzen wir nicht für Werbezwecke.
Mit der Eintragung bestätige ich die Informationen zum Datenschutz insbesondere nach §13 DSGVO zur Kenntnis genommen zu haben. Ich bin ferner damit einverstanden, dass meine IP-Adresse aufgezeichnet wird, um Missbrauch entgegenzusteuern. Die Löschung kann ich jederzeit beantragen.
Deine Anfrage wurde erfolgreich gesendet. Du wirst in Kürze von uns hören. Weitere Informationen findest Du in Deinem E-Mail Postfach.